diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packetbb.h ns-3.44/src/network/utils/packetbb.h
--- ns-3.43/src/network/utils/packetbb.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packetbb.h	2025-03-09 16:55:49.679372300 -0700
@@ -754,21 +754,21 @@
     uint8_t GetHopLimit() const;
 
     /**
-     * \brief Tests whether or not this message has a hop limit.
-     * \return true if this message has a hop limit, false otherwise.
+     * @brief Tests whether or not this message has a hop limit.
+     * @return true if this message has a hop limit, false otherwise.
      *
      * If this is set, messages should not hop further than this limit.
      */
     bool HasHopLimit() const;
 
     /**
-     * \brief Sets the current number of hops this message has traveled.
-     * \param hopcount the current number of hops
+     * @brief Sets the current number of hops this message has traveled.
+     * @param hopcount the current number of hops
      */
     void SetHopCount(uint8_t hopcount);
 
     /**
-     * \return the current number of hops this message has traveled.
+     * @return the current number of hops this message has traveled.
      *
      * Calling this while HasHopCount is False is undefined.  Make sure you check
      * it first.  This will be checked by an assert in debug builds.
@@ -776,19 +776,19 @@
     uint8_t GetHopCount() const;
 
     /**
-     * \brief Tests whether or not this message has a hop count.
-     * \return true if this message has a hop limit, false otherwise.
+     * @brief Tests whether or not this message has a hop count.
+     * @return true if this message has a hop limit, false otherwise.
      */
     bool HasHopCount() const;
 
     /**
-     * \brief Sets the sequence number of this message.
-     * \param seqnum the sequence number to set.
+     * @brief Sets the sequence number of this message.
+     * @param seqnum the sequence number to set.
      */
     void SetSequenceNumber(uint16_t seqnum);
 
     /**
-     * \return the sequence number of this message.
+     * @return the sequence number of this message.
      *
      * Calling this while HasSequenceNumber is False is undefined.  Make sure you
      * check it first.  This will be checked by an assert in debug builds.
@@ -796,215 +796,215 @@
     uint16_t GetSequenceNumber() const;
 
     /**
-     * \brief Tests whether or not this message has a sequence number.
-     * \return true if this message has a sequence number, false otherwise.
+     * @brief Tests whether or not this message has a sequence number.
+     * @return true if this message has a sequence number, false otherwise.
      */
     bool HasSequenceNumber() const;
 
     /* Manipulating PbbMessage TLVs */
 
     /**
-     * \return an iterator to the first message TLV in this message.
+     * @return an iterator to the first message TLV in this message.
      */
     TlvIterator TlvBegin();
 
     /**
-     * \return a const iterator to the first message TLV in this message.
+     * @return a const iterator to the first message TLV in this message.
      */
     ConstTlvIterator TlvBegin() const;
 
     /**
-     * \return an iterator to the past-the-end message TLV element in this
+     * @return an iterator to the past-the-end message TLV element in this
      *         message.
      */
     TlvIterator TlvEnd();
 
     /**
-     * \return a const iterator to the past-the-end message TLV element in this
+     * @return a const iterator to the past-the-end message TLV element in this
      *         message.
      */
     ConstTlvIterator TlvEnd() const;
 
     /**
-     * \return the number of message TLVs in this message.
+     * @return the number of message TLVs in this message.
      */
     int TlvSize() const;
 
     /**
-     * \return true if there are no message TLVs in this message, false otherwise.
+     * @return true if there are no message TLVs in this message, false otherwise.
      */
     bool TlvEmpty() const;
 
     /**
-     * \return a smart pointer to the first message TLV in this message.
+     * @return a smart pointer to the first message TLV in this message.
      */
     Ptr<PbbTlv> TlvFront();
 
     /**
-     * \return a const smart pointer to the first message TLV in this message.
+     * @return a const smart pointer to the first message TLV in this message.
      */
     const Ptr<PbbTlv> TlvFront() const;
 
     /**
-     * \return a smart pointer to the last message TLV in this message.
+     * @return a smart pointer to the last message TLV in this message.
      */
     Ptr<PbbTlv> TlvBack();
 
     /**
-     * \return a const smart pointer to the last message TLV in this message.
+     * @return a const smart pointer to the last message TLV in this message.
      */
     const Ptr<PbbTlv> TlvBack() const;
 
     /**
-     * \brief Prepends a message TLV to the front of this message.
-     * \param tlv a smart pointer to the message TLV to prepend.
+     * @brief Prepends a message TLV to the front of this message.
+     * @param tlv a smart pointer to the message TLV to prepend.
      */
     void TlvPushFront(Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes a message TLV from the front of this message.
+     * @brief Removes a message TLV from the front of this message.
      */
     void TlvPopFront();
 
     /**
-     * \brief Appends a message TLV to the back of this message.
-     * \param tlv a smart pointer to the message TLV to append.
+     * @brief Appends a message TLV to the back of this message.
+     * @param tlv a smart pointer to the message TLV to append.
      */
     void TlvPushBack(Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes a message TLV from the back of this message.
+     * @brief Removes a message TLV from the back of this message.
      */
     void TlvPopBack();
 
     /**
-     * \brief Removes the message TLV at the specified position.
-     * \param position an Iterator pointing to the message TLV to erase.
-     * \return an iterator pointing to the next TLV in the block.
+     * @brief Removes the message TLV at the specified position.
+     * @param position an Iterator pointing to the message TLV to erase.
+     * @return an iterator pointing to the next TLV in the block.
      */
     TlvIterator TlvErase(TlvIterator position);
 
     /**
-     * \brief Removes all message TLVs from [first, last) (includes first, not
+     * @brief Removes all message TLVs from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first message TLV to erase
+     * @param first an Iterator pointing to the first message TLV to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last message TLV
+     * @param last an Iterator pointing to the element past the last message TLV
      *        to erase.
-     * \return an iterator pointing to the next message TLV in the message.
+     * @return an iterator pointing to the next message TLV in the message.
      */
     TlvIterator TlvErase(TlvIterator first, TlvIterator last);
 
     /**
-     * \brief Removes all message TLVs from this block.
+     * @brief Removes all message TLVs from this block.
      */
     void TlvClear();
 
     /* Manipulating Address Block and Address TLV pairs */
 
     /**
-     * \return an iterator to the first address block in this message.
+     * @return an iterator to the first address block in this message.
      */
     AddressBlockIterator AddressBlockBegin();
 
     /**
-     * \return a const iterator to the first address block in this message.
+     * @return a const iterator to the first address block in this message.
      */
     ConstAddressBlockIterator AddressBlockBegin() const;
 
     /**
-     * \return an iterator to the past-the-end address block element in this
+     * @return an iterator to the past-the-end address block element in this
      *         message.
      */
     AddressBlockIterator AddressBlockEnd();
 
     /**
-     * \return a const iterator to the past-the-end address block element in this
+     * @return a const iterator to the past-the-end address block element in this
      *         message.
      */
     ConstAddressBlockIterator AddressBlockEnd() const;
 
     /**
-     * \return the number of address blocks in this message.
+     * @return the number of address blocks in this message.
      */
     int AddressBlockSize() const;
 
     /**
-     * \return true if there are no address blocks in this message, false
+     * @return true if there are no address blocks in this message, false
      *         otherwise.
      */
     bool AddressBlockEmpty() const;
 
     /**
-     * \return a smart pointer to the first address block in this message.
+     * @return a smart pointer to the first address block in this message.
      */
     Ptr<PbbAddressBlock> AddressBlockFront();
 
     /**
-     * \return a const smart pointer to the first address block in this message.
+     * @return a const smart pointer to the first address block in this message.
      */
     const Ptr<PbbAddressBlock> AddressBlockFront() const;
 
     /**
-     * \return a smart pointer to the last address block in this message.
+     * @return a smart pointer to the last address block in this message.
      */
     Ptr<PbbAddressBlock> AddressBlockBack();
 
     /**
-     * \return a const smart pointer to the last address block in this message.
+     * @return a const smart pointer to the last address block in this message.
      */
     const Ptr<PbbAddressBlock> AddressBlockBack() const;
 
     /**
-     * \brief Prepends an address block to the front of this message.
-     * \param block a smart pointer to the address block to prepend.
+     * @brief Prepends an address block to the front of this message.
+     * @param block a smart pointer to the address block to prepend.
      */
     void AddressBlockPushFront(Ptr<PbbAddressBlock> block);
 
     /**
-     * \brief Removes an address block from the front of this message.
+     * @brief Removes an address block from the front of this message.
      */
     void AddressBlockPopFront();
 
     /**
-     * \brief Appends an address block to the front of this message.
-     * \param block a smart pointer to the address block to append.
+     * @brief Appends an address block to the front of this message.
+     * @param block a smart pointer to the address block to append.
      */
     void AddressBlockPushBack(Ptr<PbbAddressBlock> block);
 
     /**
-     * \brief Removes an address block from the back of this message.
+     * @brief Removes an address block from the back of this message.
      */
     void AddressBlockPopBack();
 
     /**
-     * \brief Removes the address block at the specified position.
-     * \param position an Iterator pointing to the address block to erase.
-     * \return an iterator pointing to the next address block in the message.
+     * @brief Removes the address block at the specified position.
+     * @param position an Iterator pointing to the address block to erase.
+     * @return an iterator pointing to the next address block in the message.
      */
     AddressBlockIterator AddressBlockErase(AddressBlockIterator position);
 
     /**
-     * \brief Removes all address blocks from [first, last) (includes first, not
+     * @brief Removes all address blocks from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first address block to erase
+     * @param first an Iterator pointing to the first address block to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last address
+     * @param last an Iterator pointing to the element past the last address
      *        block to erase.
-     * \return an iterator pointing to the next address block in the message.
+     * @return an iterator pointing to the next address block in the message.
      */
     AddressBlockIterator AddressBlockErase(AddressBlockIterator first, AddressBlockIterator last);
 
     /**
-     * \brief Removes all address blocks from this message.
+     * @brief Removes all address blocks from this message.
      */
     void AddressBlockClear();
 
     /**
-     * \brief Deserializes a message, returning the correct object depending on
+     * @brief Deserializes a message, returning the correct object depending on
      *        whether it is an IPv4 message or an IPv6 message.
-     * \param start a reference to the point in a buffer to begin deserializing.
-     * \return A pointer to the deserialized message, or 0 on error.
+     * @param start a reference to the point in a buffer to begin deserializing.
+     * @return A pointer to the deserialized message, or 0 on error.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -1012,13 +1012,13 @@
     static Ptr<PbbMessage> DeserializeMessage(Buffer::Iterator& start);
 
     /**
-     * \return The size (in bytes) needed to serialize this message.
+     * @return The size (in bytes) needed to serialize this message.
      */
     uint32_t GetSerializedSize() const;
 
     /**
-     * \brief Serializes this message into the specified buffer.
-     * \param start a reference to the point in a buffer to begin serializing.
+     * @brief Serializes this message into the specified buffer.
+     * @param start a reference to the point in a buffer to begin serializing.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -1026,8 +1026,8 @@
     void Serialize(Buffer::Iterator& start) const;
 
     /**
-     * \brief Deserializes a message from the specified buffer.
-     * \param start a reference to the point in a buffer to begin deserializing.
+     * @brief Deserializes a message from the specified buffer.
+     * @param start a reference to the point in a buffer to begin deserializing.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -1035,16 +1035,16 @@
     void Deserialize(Buffer::Iterator& start);
 
     /**
-     * \brief Pretty-prints the contents of this message.
-     * \param os a stream object to print to.
+     * @brief Pretty-prints the contents of this message.
+     * @param os a stream object to print to.
      */
     void Print(std::ostream& os) const;
 
     /**
-     * \brief Pretty-prints the contents of this message, with specified
+     * @brief Pretty-prints the contents of this message, with specified
      *        indentation.
-     * \param os a stream object to print to.
-     * \param level level of indentation.
+     * @param os a stream object to print to.
+     * @param level level of indentation.
      *
      * This probably never needs to be called by users.  This is used when
      * recursively printing sub-objects.
@@ -1052,50 +1052,50 @@
     void Print(std::ostream& os, int level) const;
 
     /**
-     * \brief Equality operator for PbbMessage
-     * \param other PbbMessage to compare to this one
-     * \returns true if PbbMessages are equal
+     * @brief Equality operator for PbbMessage
+     * @param other PbbMessage to compare to this one
+     * @returns true if PbbMessages are equal
      */
     bool operator==(const PbbMessage& other) const;
     /**
-     * \brief Inequality operator for PbbMessage
-     * \param other PbbMessage to compare to this one
-     * \returns true if PbbMessages are not equal
+     * @brief Inequality operator for PbbMessage
+     * @param other PbbMessage to compare to this one
+     * @returns true if PbbMessages are not equal
      */
     bool operator!=(const PbbMessage& other) const;
 
   protected:
     /**
-     * \brief Returns address length (IPV4 3 or IPV6 15)
+     * @brief Returns address length (IPV4 3 or IPV6 15)
      *
      *  Returns message size in bytes - 1
      *  IPv4 = 4 - 1 = 3, IPv6 = 16 - 1 = 15
      *
-     * \returns Address length (IPV4 3 or IPV6 15)
+     * @returns Address length (IPV4 3 or IPV6 15)
      */
     virtual PbbAddressLength GetAddressLength() const = 0;
 
     /**
-     * \brief Serialize the originator address
-     * \param start the buffer iterator start
+     * @brief Serialize the originator address
+     * @param start the buffer iterator start
      */
     virtual void SerializeOriginatorAddress(Buffer::Iterator& start) const = 0;
     /**
-     * \brief Deserialize the originator address
-     * \param start the buffer iterator start
-     * \returns the deserialized address
+     * @brief Deserialize the originator address
+     * @param start the buffer iterator start
+     * @returns the deserialized address
      */
     virtual Address DeserializeOriginatorAddress(Buffer::Iterator& start) const = 0;
     /**
-     * \brief Print the originator address
-     * \param os the output stream
+     * @brief Print the originator address
+     * @param os the output stream
      */
     virtual void PrintOriginatorAddress(std::ostream& os) const = 0;
 
     /**
-     * \brief Deserialize an address block
-     * \param start the buffer iterator start
-     * \returns the deserialized address block
+     * @brief Deserialize an address block
+     * @param start the buffer iterator start
+     * @returns the deserialized address block
      */
     virtual Ptr<PbbAddressBlock> AddressBlockDeserialize(Buffer::Iterator& start) const = 0;
 
@@ -1120,7 +1120,7 @@
 };
 
 /**
- * \brief Concrete IPv4 specific PbbMessage.
+ * @brief Concrete IPv4 specific PbbMessage.
  *
  * This message will only contain IPv4 addresses.
  */
@@ -1131,12 +1131,12 @@
 
   protected:
     /**
-     * \brief Returns address length (IPV4 3 or IPV6 15)
+     * @brief Returns address length (IPV4 3 or IPV6 15)
      *
      *  Returns message size in bytes - 1
      *  IPv4 = 4 - 1 = 3, IPv6 = 16 - 1 = 15
      *
-     * \returns Address length (IPV4 3 or IPV6 15)
+     * @returns Address length (IPV4 3 or IPV6 15)
      */
     PbbAddressLength GetAddressLength() const override;
 
@@ -1148,7 +1148,7 @@
 };
 
 /**
- * \brief Concrete IPv6 specific PbbMessage class.
+ * @brief Concrete IPv6 specific PbbMessage class.
  *
  * This message will only contain IPv6 addresses.
  */
@@ -1159,12 +1159,12 @@
 
   protected:
     /**
-     * \brief Returns address length (IPV4 3 or IPV6 15)
+     * @brief Returns address length (IPV4 3 or IPV6 15)
      *
      *  Returns message size in bytes - 1
      *  IPv4 = 4 - 1 = 3, IPv6 = 16 - 1 = 15
      *
-     * \returns Address length (IPV4 3 or IPV6 15)
+     * @returns Address length (IPV4 3 or IPV6 15)
      */
     PbbAddressLength GetAddressLength() const override;
 
@@ -1176,7 +1176,7 @@
 };
 
 /**
- * \brief An Address Block and its associated Address TLV Blocks.
+ * @brief An Address Block and its associated Address TLV Blocks.
  *
  * This is a pure virtual base class, when creating address blocks, you should
  * instantiate either PbbAddressBlockIpv4 or PbbAddressBlockIpv6.
